Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageCall

Enclosing class:
  TdApi

public static final class TdApi.MessageCall extends TdApi.MessageContent
A message with information about an ended call.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.CallDiscardReason`
`discardReason`
Reason why the call was discarded.
`int`
`duration`
Call duration, in seconds.
`boolean`
`isVideo`
True, if the call was a video call.

## Constructor Summary

Constructors
Constructor
Description
`MessageCall()`
A message with information about an ended call.
`MessageCall(boolean isVideo, TdApi.CallDiscardReason discardReason, int duration)`
A message with information about an ended call.
`MessageCall(DataInput input)`
A message with information about an ended call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isVideo

public boolean isVideo
True, if the call was a video call.

### discardReason

public TdApi.CallDiscardReason discardReason
Reason why the call was discarded.

### duration

public int duration
Call duration, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageCall

public MessageCall()
A message with information about an ended call.

### MessageCall

public MessageCall(boolean isVideo, TdApi.CallDiscardReason discardReason, int duration)
A message with information about an ended call.

Parameters:
  `isVideo` - boolean True, if the call was a video call.
  `discardReason` - CallDiscardReason Reason why the call was discarded.
  `duration` - int Call duration, in seconds.

### MessageCall

public MessageCall(DataInput input) throws IOException
A message with information about an ended call.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`